Description: do not build with gcl :system-p flag
 Do not build with gcl :system-p flag
Forwarded: not-needed
Author: Camm Maguire <camm@debian.org>

--- fricas-1.3.6.orig/src/lisp/Makefile.in
+++ fricas-1.3.6/src/lisp/Makefile.in
@@ -59,7 +59,7 @@ do_it.gcl: fricas-lisp.lisp fricas-packa
 	$(fricas_gcl_rsym_hack)
 	echo '(load "fricas-package.lisp") (load "fricas-config.lisp")' \
 	     '(load "fricas-lisp.lisp")' \
-	     '(setq compiler::*default-system-p* t)' \
+	     '(setq compiler::*default-system-p* nil)' \
 	     '(compile-file "fricas-lisp.lisp")' \
              '(compile-file "primitives.lisp")' | $(FRICAS_LISP)
 	echo '(compiler::link nil "prelisp" ' \
@@ -67,7 +67,7 @@ do_it.gcl: fricas-lisp.lisp fricas-packa
                                        ' (compiler::emit-fn t))' \
                                   ' (when (fboundp (quote si::sgc-on))' \
                                         ' (si::sgc-on nil))' \
-                                  ' (setq compiler::*default-system-p* t))"' \
+                                  ' (setq compiler::*default-system-p* nil))"' \
                       ' si::*system-directory* (quote (list ".lsp")))' \
                '  "$(lisp_c_objects) $(fricas_c_runtime_extra)")' \
             | $(FRICAS_LISP)
